Skip to main content
GET
/
networks
/
trafficcontrols
/
{controlId}
Get Traffic Control
curl --request GET \
  --url https://api.eflow.team/v1/networks/trafficcontrols/{controlId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "network_traffic_control_id": 1,
  "network_id": 1,
  "name": "Block Bad Sources",
  "status": "active",
  "is_apply_all_affiliates": true,
  "is_apply_all_offers": true,
  "control_type": "blacklist",
  "targeting_action": "block",
  "date_valid_from": "",
  "date_valid_to": "",
  "comparison_method": "exact_match",
  "variables": [
    "source_id",
    "sub3"
  ],
  "time_created": 1774721611,
  "time_saved": 1774721611,
  "relationship": {
    "network_offer_ids": null,
    "network_affiliate_ids": null,
    "network_advertiser_ids": null,
    "values": [
      "bad_source_1",
      "bad_source_2"
    ]
  }
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

controlId
integer
required

The unique traffic control ID.

Response

network_traffic_control_id
integer

Unique traffic control ID.

network_id
integer

Network ID.

name
string

Name of the traffic control.

status
enum<string>

Status of the traffic control.

Available options:
active,
inactive
control_type
enum<string>

Traffic controls can be either whitelist or blacklist.

Available options:
blacklist,
whitelist
targeting_action
enum<string>

The targeting action.

Available options:
block,
fail_traffic
is_apply_all_offers
boolean

Whether this control applies to all offers.

is_apply_all_affiliates
boolean

Whether this control applies to all affiliates.

comparison_method
enum<string>

Defines how the variables are compared.

Available options:
exact_match,
contains,
begins_with,
ends_with,
does_not_contain,
does_not_match,
is_empty
variables
enum<string>[]

The click variable that will be looked up and compared to the values supplied. Can be one or multiple values among: sub1, sub2, sub3, sub4, sub5, source_id, referrer, isp, ip, user_agent, country, tracking_domain. Note: variables and values are only populated by the Get by ID endpoint.

Available options:
sub1,
sub2,
sub3,
sub4,
sub5,
source_id,
referrer,
isp,
ip,
user_agent,
country,
tracking_domain
relationship
object

Related entities associated with this traffic control.

date_valid_from
string

Start date for the control's validity period (YYYY-MM-DD).

date_valid_to
string

End date for the control's validity period (YYYY-MM-DD).

time_created
integer

Unix timestamp of creation.

Example:

1734455015

time_saved
integer

Unix timestamp of last update.

Example:

1734455015